# norootforbuild

Name:				rtmpdump
Version:			2.2d
Release:			3.2
Summary:			RTMP Stream Dumper
Source:        http://rtmpdump.mplayerhq.hu/download/rtmpdump-%{version}.tar.gz
Patch1:        rtmpdump-fix_u32.patch
Patch2:        rtmpdump-fix_librtmp_makefile.patch
URL:				http://rtmpdump.mplayerhq.hu/
Group:			Productivity/Networking/Other
License:			GNU General Public License version 2 (GPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	zlib-devel openssl-devel
BuildRequires:	make glibc-devel gcc pkgconfig

%description
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

%package -n rtmpsuck
Summary:			RTMP Transparent Proxy Server
Group:			Productivity/Networking/Other

%description -n rtmpsuck
Proxy server that dumps RTMP streams.

%package -n rtmpsrv
Summary:			RTMP Server
Group:			Productivity/Networking/Other

%description -n rtmpsrv
Server for RTMP streams.

%package -n rtmpgw
Summary:			RTMP to HTTP Gateway
Group:			Productivity/Networking/Other
Obsoletes:     streams < %{version}
Provides:      streams = %{version}

%description -n rtmpgw
HTTP gateway: this is an HTTP server that accepts requests that consist of
rtmpdump parameters. It then connects to the specified RTMP server and returns
the retrieved data in the HTTP response.

%package -n librtmp-devel
Summary:			RTMP Stream Dumping Library
Group:         Development/Libraries/C and C++
Requires:	openssl-devel
Requires:	zlib-devel

%description -n librtmp-devel
A small dumper for media content streamed over the RTMP protocol (like BBC's
iPlayer high quality streams). Supplying an rtmp url will result in a dumped
flv file, which can be played/transcoded using ffmpeg/mplayer, etc.

%debug_package
%prep
%setup -q
%patch1
%patch2

%build
%__make \
	 CC="%__cc" \
	 OPT="%{optflags} -fPIC" \
	 prefix="%{_prefix}" \
	 linux

%__make -C librtmp \
	 CC="%__cc" \
	 OPT="%{optflags} -fPIC" \
	 prefix="%{_prefix}" \
	 librtmp.pc

pushd librtmp
%__sed -i 's|^libdir=.+$|libdir=%{_libdir}|' librtmp.pc
popd #librtmp

%install
%__install -d "%{buildroot}%{_bindir}"
for FILE in rtmpdump rtmpsuck rtmpgw rtmpsrv ; do
 %__install -m0755 $FILE %{buildroot}%{_bindir}
done

pushd librtmp
%__install -d "%{buildroot}%{_includedir}/librtmp" "%{buildroot}%{_libdir}" "%{buildroot}%{_libdir}/pkgconfig"
%__make \
	 prefix="%{buildroot}%{_prefix}" \
	 INCDIR="%{buildroot}%{_includedir}/librtmp" \
	 LIB="%{_lib}" \
	 install
popd #librtmp

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpdump

%files -n rtmpsuck
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpsuck

%files -n rtmpgw
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpgw

%files -n rtmpsrv
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_bindir}/rtmpsrv

%files -n librtmp-devel
%defattr(-,root,root)
%{_includedir}/librtmp/*
%{_libdir}/librtmp.a
%{_libdir}/pkgconfig/librtmp.pc

%changelog
* Tue May 25 2010 Carsten Schoene <cs@linux-administrator.com> 2.2d-1
- initial import to BS
